/****************************************************************************/
/* general.h - zakladni spolecne definice pro praci s WinBase602            */
/* (C) Janus Drozd, 1992, 93, 94, 95, 96, 97, 98, 99                        */
/* verze: 6.0 (32-bit)                                                      */
/****************************************************************************/
#ifndef __GENERAL_H__
#define __GENERAL_H__

#ifndef __WIN32__
#define __WIN32__
#endif

#ifndef WIN32
#define WIN32
#endif

#define huge
#define _huge
#define __huge

#define DllImport __declspec(dllimport)
#define DllPrezen __declspec(dllimport)
#define DllKernel __declspec(dllimport)
#define DllViewed __declspec(dllimport)
#define DllExport __declspec(dllexport)
#define DllInstserv __declspec(dllimport)
#define DllWbed   __declspec(dllimport)
#define oexport

#ifdef __WATCOMC__
#pragma off (unreferenced)
#endif /* __WATCOMC__ */

#ifndef PASCAL
#define PASCAL WINAPI
#endif

#ifndef NULL
#define NULL  0
#endif

#define CFNC extern "C"

typedef unsigned long  uns32;
typedef signed   long  sig32;
typedef unsigned short uns16;
typedef signed   short sig16;
typedef unsigned char  uns8;
typedef signed   char  sig8;
typedef unsigned char  byte;

typedef       char *  tptr;
typedef const char * ctptr;

/* Zakladni typy databazoveho jadra */
typedef sig16  ttablenum;
typedef sig16  tobjnum;
typedef sig16  tcursnum;
typedef sig16  tcurstab;
typedef uns32  trecnum;
typedef uns8   tattrib;
typedef uns8   tcateg;
typedef uns8   tright;     /* zastaraly typ */
typedef uns16  tdright;    /* zastaraly typ */

#define OBJ_NAME_LEN  31   /* max. delka jmena databazovych objektu */
typedef char tobjname[OBJ_NAME_LEN+1];
#define NAMELEN       18   /* delka jmena identifikatoru */
typedef char tname[NAMELEN+1];
#define UUID_SIZE     12   /* delka identifikace objektu */
typedef uns8 WBUUID[UUID_SIZE];

typedef HWND window_id;
typedef enum { OPER_SET=0, OPER_GET=1, OPER_GETEFF=2 } t_oper;
typedef enum { VT_OBJNUM=0,  VT_NAME=1, VT_UUID=2, VT_NAME3=3 } t_valtype;

#endif   /* !def __GENERAL_H__ */

