/****************************************************************************/
/* instserv.h - instalation services for WinBase602                         */
/* (C) Janus Drozd, 1992, 93, 94, 95, 96, 97, 99                            */
/* verze: 6.0                                                               */
/****************************************************************************/
extern HINSTANCE hInst;

#ifdef __cplusplus
extern "C" {
#endif
DllInstserv BOOL WINAPI RegisterDatabase(char * FIL_ver_str, char * cnfdir, char * server_name);
DllInstserv BOOL WINAPI RegisterCDROMPart2(const char * server_name, const char * cdrom_path, const char * path2);
DllInstserv void WINAPI CreateDataSource(char * server_name, BOOL system_ds, BOOL automat);
DllInstserv BOOL WINAPI RemoveDataSource(const char * dsname, BOOL system_ds);
DllInstserv void WINAPI RemoveDataSourcesByServer(const char * server_name, BOOL system_ds);
DllInstserv BOOL WINAPI CheckFilDirectory(HWND hOwner, char * direc);
DllInstserv BOOL WINAPI CheckServerRegistered(HWND hOwner, char * server_name);
DllInstserv void WINAPI DoPropertySheet(HWND hwndOwner);
DllInstserv BOOL WINAPI UnregisterDatabaseByPath(char * direc);
DllInstserv BOOL WINAPI InstServerByPath(const char * path, char * server_name);
DllInstserv BOOL WINAPI StoreDevelOpt(char * progpath, BOOL DevelOpt, BOOL Extensible, int days);
DllInstserv BOOL WINAPI StoreLicense(char * progpath, char * lic1, char * lic2, char * lic3, char * lic4);
DllInstserv BOOL WINAPI RegisterClientProtocol(const char * progdir, const char * protocol);
#ifdef __cplusplus
 } /* of extern "C" */
#endif
